CVE Vulnerabilities

CVE-2003-0849

Published: Nov 17, 2003 | Modified: Oct 18, 2016
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

Buffer overflow in net.c for cfengine 2.x before 2.0.8 allows remote attackers to execute arbitrary code via certain packets with modified length values, which is trusted by the ReceiveTransaction function when using a buffer provided by the BusyWithConnection function.

Affected Software

Name Vendor Start Version End Version
Cfengine Gnu 2.0.0 2.0.0
Cfengine Gnu 2.0.1 2.0.1
Cfengine Gnu 2.0.2 2.0.2
Cfengine Gnu 2.0.3 2.0.3
Cfengine Gnu 2.0.4 2.0.4
Cfengine Gnu 2.0.5 2.0.5
Cfengine Gnu 2.0.5 2.0.5
Cfengine Gnu 2.0.5 2.0.5
Cfengine Gnu 2.0.5 2.0.5
Cfengine Gnu 2.0.6 2.0.6
Cfengine Gnu 2.0.7 2.0.7
Cfengine Gnu 2.0.7 2.0.7
Cfengine Gnu 2.0.7 2.0.7
Cfengine Gnu 2.0.7 2.0.7
Cfengine Gnu 2.1.0 2.1.0
Cfengine Gnu 2.1.0 2.1.0
Cfengine Gnu 2.1.0 2.1.0

References